Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.cache.push
Class PushEntityCachedResource

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.www.protocol.http.cache.CachedResource
                  |
                  +--org.w3c.www.protocol.http.cache.EntityCachedResource
                        |
                        +--org.w3c.www.protocol.http.cache.push.PushEntityCachedResource

All Implemented Interfaces:
  java.lang.Cloneable, LRUAble, TeeMonitor

public class PushEntityCachedResource
extends EntityCachedResource

PushEntityCachedResource EntityCachedResource that reads data from the file rather than attempting to use ActiveStream to tee output to a client that is not there.

Field Summary

Fields inherited from class org.w3c.www.protocol.http.cache.EntityCachedResource
`ATTR_CONTENT_TYPE, ATTR_FRESHNESS_LIFETIME, ATTR_INITIAL_AGE, ATTR_LOAD_STATE, ATTR_RESPONSE_TIME, ATTR_REVALIDATE, COND_FAILED, COND_OK, filter, hasEntity, oldsize, regetting, revalidating, wantedsize`

Fields inherited from class org.w3c.www.protocol.http.cache.CachedResource
`a, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_MD5, ATTR_CURRENT_LENGTH, ATTR_DATE, ATTR_DESCR, ATTR_ETAG, ATTR_EXTRA_HEADERS, ATTR_FILE, ATTR_IDENTIFIER, ATTR_LOCATION, ATTR_REPLY_LAST_MODIFIED, ATTR_STATUS, generation, invalidated, NAME_CONTENT_LENGTH, NAME_CURRENT_LENGTH, NAME_FILE, NAME_IDENTIFIER, next, prev, STATE_LOAD_COMPLETE, STATE_LOAD_ERROR, STATE_LOAD_PARTIAL, STATE_LOAD_UNKNOWN, STATE_NOT_LOADED, uploading`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`` | `PushEntityCachedResource()` This constructor required to handle startup when cache already contains PushEntityCachedResources
`protected` | `PushEntityCachedResource(PushCacheFilter filter, Request req, PushReply rep)` Construct a PushEntityCachedResource Used by the PushCacheManager to actually store a PUSH resource.

Methods inherited from class org.w3c.www.protocol.http.cache.EntityCachedResource
`checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, cleanUpload, getContentType, getCurrentAge, getFreshnessLifetime, getHETag, getInitialAge, getInputStream, getResponseTime, getRevalidate, handleRangeRequest, initialize, notifyTeeFailure, notifyTeeSuccess, perform, setContentType, setFreshnessLifetime, setInitialAge, setReplyHeaders, setRequestRevalidation, setResponseTime, setRevalidate, tryActiveCacheContent, updateInfo, waitUpload`

Methods inherited from class org.w3c.www.protocol.http.cache.CachedResource
`delete, getContentEncoding, getContentLanguage, getContentLength, getContentMD5, getCurrentLength, getDate, getETag, getExtraHeaders, getFile, getIdentifier, getLastModified, getLoadState, getNext, getPrev, getStatus, getWillRevalidate, lookupResource, setContentEncoding, setContentLanguage, setContentLength, setContentMD5, setCurrentLength, setDate, setETag, setExtraHeaders, setFile, setLastModified, setLoadState, setNext, setPrev, setStatus, setValue, setWillRevalidate`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, getValue, initialize, lookupAttribute, pickleValues, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushEntityCachedResource

    public PushEntityCachedResource()

  This constructor required to handle startup when cache already contains PushEntityCachedResources

### PushEntityCachedResource

    protected PushEntityCachedResource(PushCacheFilter filter,
                                       Request req,
                                       PushReply rep)

  Construct a PushEntityCachedResource Used by the PushCacheManager to actually store a PUSH resource. Note PushEntityCachedResource are used only when saving resources. When extracting resources from the cache, EntityCachedResources are used.

Parameters:
  `filter` - the PushCacheFilter that in fact has not done anything yet, but which knows how to handle a PUSHed resource
  `req` - the forged request for a URL
  `rep` - the forged reply for the URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD